%define anolis_release 4
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Encode\\)$

Name:           perl-Encode-Locale
Version:        1.05
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Determine the locale encoding
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Encode-Locale
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/Encode-Locale-%{version}.tar.gz
BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(base) perl(Encode) >= 2 perl(Encode::Alias)
BuildRequires:  perl(Exporter) perl(strict) perl(warnings)
BuildRequires:  perl(I18N::Langinfo)  perl(Test::More) perl(utf8)
Requires:       perl(Encode) >= 2 perl(I18N::Langinfo) perl(warnings)

BuildArch:      noarch

%{?perl_default_filter}

%description
In many applications it's wise to let Perl use Unicode for the strings
it processes.  Most of the interfaces Perl has to the outside world is
still byte based.  Programs therefore needs to decode byte strings
that enter the program from the outside and encode them again on the
way out.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Encode-Locale-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/Encode/
%{_mandir}/man3/Encode::Locale.3*

%files doc
%doc Changes README

%changelog
* Fri Apr 14 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1:1.05-4
- optimize spec

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.05-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.05-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@Linux.alibaba.com> - 1:1.05-1
- init from upstream
